﻿        var UI = {
            defaulticon:null,
            init:function(){
                var articleObj;
                if(appclient.isAndroidApp()){
                    articleObj = JSON.parse(client.getArticleDetail());
                }else{
                    NativeBridge.call('getArticleDetail',{},function(args){
                        articleObj = JSON.parse(args);
                    })
                }
                try{
                    $('#main_title').html(articleObj.title);
                    $('#sub_title').html("<span>"+(articleObj.source||"")+"</span>&nbsp;&nbsp;&nbsp;"+articleObj.timeStamp);
                    $('#d_content').html(articleObj.content);
                    $('video').attr({
                        'width': $('#d_content').width(),
                        'height': $('#d_content').width() * 9 / 16
                    })
					if(!articleObj.columnName){
						$('#column_line').remove();
					}else{
                        $('#column_name').text(articleObj.columnName);
                        $('#column_summary').text(articleObj.columnSummary);
                        $('#column_image').attr('src',articleObj.columnImage);
                        if(articleObj.columnSubscribed){
                            $('#column_subscribe').text("已订阅").addClass("subscribed");
                        }else{
                            $('#column_subscribe').text("+ 订阅").removeClass("subscribed");
                        }
                    }
                }catch(e){

                }
            },
            loadImage:function(){
                try{
                	var width=$('#d_content').width();
                    var bigPicListArr;
                    var defaulticon;
                    var isWifi;
                    if(appclient.isAndroidApp()){
                        bigPicListArr = eval(client.getPicInfo());
                        UI.defaulticon = defaulticon = client.getLoadingPicInfo();
                    }else{
                        NativeBridge.call('getLoadingPicInfo',{},function(args){
                            var imageObj = JSON.parse(args);
                            UI.defaulticon = defaulticon = imageObj.image;
                        })

                        NativeBridge.call('getPicInfo',{},function(args){
                            bigPicListArr = eval(args);
                        })
                    }
                    for(var m = 0;bigPicListArr&&m<bigPicListArr.length;m++){
                        var item = bigPicListArr[m];
                        if(item.src&&item.src!=''){
                            if(item.width<100){
                                $('img[data-id="'+item.id+'"]').attr('src',item.src).addClass('loaded').css({
                                    'width':item.width,
                                    'height':item.height
                                })
                            }else{
                                $('img[data-id="'+item.id+'"]').attr('src',item.src).addClass('loaded').css({
                                    'width':width,
                                    'height':Math.round(width*item.height/item.width)
                                })
                            }
                        }else{
                            if(item.width<100){
                                $('img[data-id="'+item.id+'"]').css({
                                    'width':item.width,
                                    'height':item.height,
                                    'background-color':'#ececec'
                                })
                            }else{
                                var iw=140;
                                var ih=80;
                                var tw=width;
                                var th=Math.round(width*item.height/item.width);
                                var w=Math.round((tw-iw)/2);
                                var h=Math.round((th-ih)/2);
                                $('img[data-id="'+item.id+'"]').attr('src',defaulticon).addClass('loading').css({
                                    'padding-left':w,
                                    'padding-right':tw-w-iw,
                                    'padding-top':h,
                                    'padding-bottom':th-h-ih,
                                    'width':iw,
                                    'height':ih,
                                    'background-color':'#ececec'
                                }).data('tw',tw).data('th',th);
                            }
                        }
                    }
                }catch (e){
                    appclient.log("loadImage error :"+JSON.stringify(e));
                }
            },
            initImageWH:function(item){
                try{
                    if(item.type=='video'){
                        $('video[data-id="'+id+'"]').attr('poster',src);
                    }else if(item.type=='image'){
                        $('img[data-id="'+item.id+'"]').attr('width','100%');
                    }
                }catch (e){
                    appclient.log("initImageWH error :"+JSON.stringify(e));
                }
            }
        };

        window.appclient = {
            log:function(str){
                if(appclient.isAndroidApp()){
                    client.toast(str);
                }else{
                    alert(str);
                }
            },
            isAndroidApp:function(){
                if(navigator.userAgent.indexOf('android_dwyx_')==0){
                    return true;
                }
                return false;
            },
            isIosApp:function(){
                if(navigator.userAgent.indexOf('ios_dwyx_')==0){
                    return true;
                }
                return false;
            }
        }

        var webview = {
            scrollBottom:function(){
                try{
                    var body = document.getElementsByTagName('body')[0];
                    body.scrollTop = body.scrollHeight;
                }catch (e){
                    appclient.log("scrollBottom error :"+JSON.stringify(e));
                }
            },
			 /***
			 * @param type
			 * @param id
			 * @param src
			 */
			fillImageById:function(type,id,src){
                 try{
                     if(type=='video'){
                         $('video[data-id="'+id+'"]').attr('poster',src);
                     }else if(type=='image'){
                     	var $img=$('img[data-id="'+id+'"]');
                        $img.attr('src',src);
                        if($img.hasClass('loading')){
                            var tw=$img.data('tw');
                            var th=$img.data('th');
                            $img.removeClass('loading').css({
                                'padding-left':0,
                                'padding-right':0,
                                'padding-top':0,
                                'padding-bottom':0,
                                'width':tw,
                                'height':th
                            });
                        }
                     }
                     var body = document.getElementsByTagName('body')[0];
                     if(appclient.isAndroidApp()){
                         
                     }else{
                         setTimeout(function() {
                                    NativeBridge.call('bodyHeight',{id:body.scrollHeight},function(args){
                                                      })
                                    }, 100 );
                     }
                 }catch (e){
                 }
			},
			reloadFail:function(type,id,src){
				try{
					if(type=='image'){
                        var $img=$('img[data-id="'+id+'"]')
						$img.removeClass('loaded')
						if(src&&$img.hasClass('loading')){
							$img.attr('src',src)
						}
					}
				}catch(e){
				}
			},
            updateColumnSubscribe:function(subscribed){
                try{
                    if(subscribed){
                        $('#column_subscribe').text("已订阅").addClass("subscribed");
                    }else{
                        $('#column_subscribe').text("+ 订阅").removeClass("subscribed");
                    }
                }catch(e){
                }
            },
            nativeScrollBottom:function(){
                var body = document.getElementsByTagName('body')[0];
                if(appclient.isAndroidApp()){
                    client.scrollTo(body.scrollHeight);
                }else{
                    NativeBridge.call('bodyHeight',{id:body.scrollHeight},function(args){
                                      })
                }
            }
        };

        //ios 通信
        window.NativeBridge = {
            callbacksCount : 1,
            callbacks : {},

            // Automatically called by native layer when a result is available
            resultForCallback : function resultForCallback(callbackId, resultArray) {
                try {
                    var callback = NativeBridge.callbacks[callbackId];
                    if (!callback) return;

                    callback.apply(null,resultArray);
                } catch(e) {alert(e)}
            },

            // Use this in javascript to request native objective-c code
            // functionName : string (I think the name is explicit :p)
            // args : array of arguments
            // callback : function with n-arguments that is going to be called when the native code returned
            call : function call(functionName, args, callback) {

                var hasCallback = callback && typeof callback == "function";
                var callbackId = hasCallback ? NativeBridge.callbacksCount++ : 0;

                if (hasCallback)
                    NativeBridge.callbacks[callbackId] = callback;

                var iframe = document.createElement("IFRAME");
                iframe.setAttribute("src", "js-frame:" + functionName + ":" + callbackId+ ":" + encodeURIComponent(JSON.stringify(args)));
                // For some reason we need to set a non-empty size for the iOS6 simulator...
                iframe.setAttribute("height", "1px");
                iframe.setAttribute("width", "1px");
                document.documentElement.appendChild(iframe);
                iframe.parentNode.removeChild(iframe);
                iframe = null;
            }
        };		
        window.addEventListener("load",function () {
            UI.init();
            UI.loadImage();

            if(appclient.isAndroidApp()){
                client.onPageFinished()
            }else{
                NativeBridge.call('onPageFinished',{},function(args){

                })
            }
            try{
                window.delayLoad.init();
            }catch (e){
                appclient.log("delayLoad error :"+JSON.stringify(e));
            }

            $("img").on('click',function(){
                var id = $(this).data("id");
				var refer = $(this).data("refer");
				if(refer&&refer!=''){
					window.location.href = refer;
					return;
				}
                if(id&&id!=''){
                    if(!$(this).hasClass('loaded')){
                        if(appclient.isAndroidApp()){
                            client.loadImage(parseInt(id));
                        }else{
                            NativeBridge.call('loadImage',{'id':id},function(args){

                            })
                        }
                        if($(this).hasClass('loading')){
                            $(this).attr('src',UI.defaulticon)
                        }
                        $(this).addClass('loaded');
                    }else if(appclient.isAndroidApp()){
                        client.onClickImage(parseInt(id));
                    }else{
                        NativeBridge.call('onClickImage',{id:parseInt(id)},function(args){

                        })
                    }
                }
            });

            $("#column_subscribe").on('click',function(){
                if(appclient.isAndroidApp()){
                    client.onClickColumnSubscribe();
                }else{
                    NativeBridge.call('onClickColumnSubscribe',{},function(args){

                    })
                }
                return false;
            });

            $("#column_line").on('click',function(){
                if(appclient.isAndroidApp()){
                    client.onClickColumnLine();
                }else{
                    NativeBridge.call('onClickColumnLine',{},function(args){

                    })
                }
            });
        },false);
